'use strict'
const babel = require('babel-core')

module.exports = (settings)=> ({
  source: '.js',
  target: '.js',
  via: [
    (input)=> babel.transform(input.toString(), settings).code,
    function(result) {
      this.output.mimeType = 'application/javascript'
      return result
    }
  ],
})
